
libmp3splt - INSTALLATION INFORMATION

====================================================================

	To install the library you need to compile the source code.

  Installing the program using the binary '.deb' debian package :

    0) Installation on Debian GNU/Linux

	Installing the program is made in 3 steps :

		1) Install needed libraries

		2) Compile the source

		3) Install the binary


--------------------------------------------------------------------
0) Installation on Debian GNU/Linux :

  Download the libmp3splt debian package from the mp3splt site
  (http://mp3splt.sourceforge.net) and install it with :

    dpkg -i libmp3splt.deb


--------------------------------------------------------------------
1) Install needed libraries :

	Before compiling the source code verify that you have the 
	following libraries installed :

    libltdl from libtool (http://www.gnu.org/software/libtool/)
		libogg and libvorbis (http://www.xiph.org)
		libmad and libid3tag (http://sourceforge.net/projects/mad/)


--------------------------------------------------------------------
2) Compiling the source :


	Move into the libmp3splt directory and type :
	
		./configure

	    Main configure options :
        --disable-ogg
        --disable-mp3
        --disable-id3tag

      Other configure options :
        --with-mad=PFX
        --with-mad-libraries=DIR
        --with-mad-includes=DIR

        --disable-madtest

        The same options are available for 'ogg', 'vorbis' and 'id3'
          (--with-ogg, --disable-id3test, ...)


	This will create the Makefile used to compile the program.

	After that, type :
	
		make


--------------------------------------------------------------------
3) Install the library :

	To install the library type :
	
		make install


---------------------------------------------------------------------
4) Compilation options :
	
	please type  :

	   ./configure --help   

	in the libmp3splt directory to get informations about the compilation options


///////////////////////////////////////////
for any suggestion, bugs, etc... contact us.

  Matteo Trotta - <mtrotta@users.sourceforge.net>
  Alexandru Munteanu - <io_fx@yahoo.fr>

///////////////////////////////////////////

